Bug 457496 - condor_version doesn't know about RHEL4
condor_version doesn't know about RHEL4
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: grid (Show other bugs)
All Linux
urgent Severity low
: 1.1
: ---
Assigned To: Will Benton
Kim van der Riet
Depends On:
  Show dependency treegraph
Reported: 2008-07-31 21:42 EDT by Matthew Farrellee
Modified: 2009-02-04 11:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-02-04 11:04:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthew Farrellee 2008-07-31 21:42:29 EDT
$ cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 5.2 (Tikanga)

$ condor_version 
$CondorVersion: 7.0.4 Jul 30 2008 BuildID: RH-7.0.4-2.el5 $
$CondorPlatform: I386-LINUX_RHEL5 $

$ cat /etc/redhat-release 
Red Hat Enterprise Linux AS release 4 (Nahant Update 6)

$ condor_version 
$CondorVersion: 7.0.4 Jul 30 2008 BuildID: RH-7.0.4-2.el4 $
$CondorPlatform: I386-LINUX_RH_UNKNOWN $


Fixing means making configure.ac recognize RHEL 4
Comment 1 Will Benton 2008-11-05 17:34:57 EST
Created attachment 322650 [details]
patch for configure.ac

This also handles Fedora and CentOS (as far as I can tell) sanely.  I'd need to test on CentOS.
Comment 2 Will Benton 2008-11-10 13:51:38 EST
This is upstream in 7.2, the sha is 0153974.
Comment 3 Matthew Farrellee 2008-11-10 14:50:49 EST
this will be available in condor 7.1.4-0.5
Comment 5 Jeff Needle 2008-11-20 08:56:17 EST
[root@north-01 ~]# condor_version
$CondorVersion: 7.2.0 Nov 13 2008 BuildID: RH-7.1.4-0.5.el4 PRE-RELEASE-UWCS $
$CondorPlatform: X86_64-LINUX_RHEL4 $
Comment 7 errata-xmlrpc 2009-02-04 11:04:24 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.